/**
 * Copyright &copy; 2012-2016 <a href="https://github.com/thinkgem/jeesite">JeeSite</a> All rights reserved.
 */
package com.wechat.model.dto;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 商品列表显示类
 * @author jadyn.wu
 * @date: 2019年8月29日 上午10:34:30
 */

public class GoodsListDto {
	
	private Integer goodsId;

    private String goodsNo;  //商品的货号

    private String title;
    
    private String titleCn;
    
    private String titleEn;

    private String subhead; //商品副标题
    
    private String subheadCn;
    
    private String subheadEn;

    private String resume; //商品概述
    
    private String resumeCn;
    
    private String resumeEn;

    private Integer categoryId;

    private BigDecimal sellPrice; //销售价格

    private BigDecimal marketPrice; //市场价格

    private Date upTime; //上架时间

    private Integer storeNums; //库存

    private String img;  //封面图

    private String onSale; //在售状态 0未上架 1已上架 2待上架(预热) 9下架

    private String unit;  //计量单位
    
    private String unitCn;
    
    private String unitEn;
    
	private int sale;   //销量

    private Short sort; //排序

    private String type;  //属性分类 0服务  1商品

    private Date conditionDate; //限制条件 注册日期(此日期之前注册 包含此日期)
    
    private Integer conditionTime; //限制条件 购买次数（0-不限 0以上为限制次数）

    private String conditionVip;  //限制条件 付费VIP（0-不限 1-仅限VIP）

	public Integer getGoodsId() {
		return goodsId;
	}

	public void setGoodsId(Integer goodsId) {
		this.goodsId = goodsId;
	}

	public String getGoodsNo() {
		return goodsNo;
	}

	public void setGoodsNo(String goodsNo) {
		this.goodsNo = goodsNo;
	}

	public Integer getCategoryId() {
		return categoryId;
	}

	public void setCategoryId(Integer categoryId) {
		this.categoryId = categoryId;
	}

	public BigDecimal getSellPrice() {
		return sellPrice;
	}

	public void setSellPrice(BigDecimal sellPrice) {
		this.sellPrice = sellPrice;
	}

	public BigDecimal getMarketPrice() {
		return marketPrice;
	}

	public void setMarketPrice(BigDecimal marketPrice) {
		this.marketPrice = marketPrice;
	}

	public Date getUpTime() {
		return upTime;
	}

	public void setUpTime(Date upTime) {
		this.upTime = upTime;
	}

	public Integer getStoreNums() {
		return storeNums;
	}

	public void setStoreNums(Integer storeNums) {
		this.storeNums = storeNums;
	}

	public String getImg() {
		return img;
	}

	public void setImg(String img) {
		this.img = img;
	}

	public String getOnSale() {
		return onSale;
	}

	public void setOnSale(String onSale) {
		this.onSale = onSale;
	}


	public Short getSort() {
		return sort;
	}

	public void setSort(Short sort) {
		this.sort = sort;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public Date getConditionDate() {
		return conditionDate;
	}

	public void setConditionDate(Date conditionDate) {
		this.conditionDate = conditionDate;
	}

	public String getConditionVip() {
		return conditionVip;
	}

	public void setConditionVip(String conditionVip) {
		this.conditionVip = conditionVip;
	}


	public String getResume() {
		return resume;
	}

	public void setResume(String resume) {
		this.resume = resume;
	}

	public String getUnit() {
		return unit;
	}

	public void setUnit(String unit) {
		this.unit = unit;
	}

	public String getSubhead() {
		return subhead;
	}

	public void setSubhead(String subhead) {
		this.subhead = subhead;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public String getTitleCn() {
		return titleCn;
	}

	public void setTitleCn(String titleCn) {
		this.titleCn = titleCn;
	}

	public String getTitleEn() {
		return titleEn;
	}

	public void setTitleEn(String titleEn) {
		this.titleEn = titleEn;
	}

	public String getSubheadCn() {
		return subheadCn;
	}

	public void setSubheadCn(String subheadCn) {
		this.subheadCn = subheadCn;
	}

	public String getSubheadEn() {
		return subheadEn;
	}

	public void setSubheadEn(String subheadEn) {
		this.subheadEn = subheadEn;
	}

	public String getResumeCn() {
		return resumeCn;
	}

	public void setResumeCn(String resumeCn) {
		this.resumeCn = resumeCn;
	}

	public String getResumeEn() {
		return resumeEn;
	}

	public void setResumeEn(String resumeEn) {
		this.resumeEn = resumeEn;
	}

	public String getUnitCn() {
		return unitCn;
	}

	public void setUnitCn(String unitCn) {
		this.unitCn = unitCn;
	}

	public String getUnitEn() {
		return unitEn;
	}

	public void setUnitEn(String unitEn) {
		this.unitEn = unitEn;
	}

	public Integer getConditionTime() {
		return conditionTime;
	}

	public void setConditionTime(Integer conditionTime) {
		this.conditionTime = conditionTime;
	}

	public int getSale() {
		return sale;
	}

	public void setSale(int sale) {
		this.sale = sale;
	}



	

}